Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in GDB
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in GDB
ID: USN-3367-1
Distribution: Ubuntu
Plattformen: Ubuntu 14.04 LTS, Ubuntu 16.04 LTS, Ubuntu 17.04
Datum: Mi, 26. Juli 2017, 23:42
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8501
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4489
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2226
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4492
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-9939
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-6131
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4493
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4490
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4488
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4491
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-4487

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============5970614623016676657==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="D5BcReX08UjVFs9bOtisfSSk6SJanV1U3"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--D5BcReX08UjVFs9bOtisfSSk6SJanV1U3
Content-Type: multipart/mixed;
boundary="nXpOHKakMn0NtJ1Bp3pE4wqfsOppiF3o2";
protected-headers="v1"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <3c19f5c9-e3a5-b1cd-3c79-88c81e532fe8@canonical.com>
Subject: [USN-3367-1] gdb vulnerabilities

--nXpOHKakMn0NtJ1Bp3pE4wqfsOppiF3o2
Content-Type: text/plain; charset=utf-8
Content-Language: en-C
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-3367-1
July 26, 2017

gdb vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 17.04
- Ubuntu 16.04 LTS
- Ubuntu 14.04 LTS

Summary:

Several security issues were fixed in gdb.

Software Description:
- gdb: GNU Debugger

Details:

Hanno Böck discovered that gdb incorrectly handled certain malformed AOUT
headers in PE executables. If a user or automated system were tricked into
processing a specially crafted binary, a remote attacker could use this
issue to cause gdb to crash, resulting in a denial of service, or possibly
execute arbitrary code. This issue only applied to Ubuntu 14.04 LTS.
(CVE-2014-8501)

It was discovered that gdb incorrectly handled printing bad bytes in Intel
Hex objects. If a user or automated system were tricked into processing a
specially crafted binary, a remote attacker could use this issue to cause
gdb to crash, resulting in a denial of service. This issue only applied to
Ubuntu 14.04 LTS. (CVE-2014-9939)

It was discovered that gdb incorrectly handled certain string operations.
If a user or automated system were tricked into processing a specially
crafted binary, a remote attacker could use this issue to cause gdb to
crash, resulting in a denial of service, or possibly execute arbitrary
code. This issue only applied to Ubuntu 14.04 LTS and Ubuntu 16.04 LTS.
(CVE-2016-2226)

It was discovered that gdb incorrectly handled parsing certain binaries. If
a user or automated system were tricked into processing a specially crafted
binary, a remote attacker could use this issue to cause gdb to crash,
resulting in a denial of service. This issue only applied to Ubuntu 14.04
LTS and Ubuntu 16.04 LTS. (CVE-2016-4487, CVE-2016-4488, CVE-2016-4489,
CVE-2016-4490, CVE-2016-4492, CVE-2016-4493, CVE-2016-6131)

It was discovered that gdb incorrectly handled parsing certain binaries. If
a user or automated system were tricked into processing a specially crafted
binary, a remote attacker could use this issue to cause gdb to crash,
resulting in a denial of service. (CVE-2016-4491)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 17.04:
gdb 7.12.50.20170314-0ubuntu1.1

Ubuntu 16.04 LTS:
gdb 7.11.1-0ubuntu1~16.5

Ubuntu 14.04 LTS:
gdb 7.7.1-0ubuntu5~14.04.3

In general, a standard system update will make all the necessary changes.

References:
https://www.ubuntu.com/usn/usn-3367-1
CVE-2014-8501, CVE-2014-9939, CVE-2016-2226, CVE-2016-4487,
CVE-2016-4488, CVE-2016-4489, CVE-2016-4490, CVE-2016-4491,
CVE-2016-4492, CVE-2016-4493, CVE-2016-6131

Package Information:
https://launchpad.net/ubuntu/+source/gdb/7.12.50.20170314-0ubuntu1.1
https://launchpad.net/ubuntu/+source/gdb/7.11.1-0ubuntu1~16.5
https://launchpad.net/ubuntu/+source/gdb/7.7.1-0ubuntu5~14.04.3



--nXpOHKakMn0NtJ1Bp3pE4wqfsOppiF3o2--

--D5BcReX08UjVFs9bOtisfSSk6SJanV1U3
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJZeMx1AAoJEGVp2FWnRL6TkgQP/1wju1DYDeybTyNHStSq2yY8
bFzQWwlAWPI0OIkBGaDVkehj6kSg26J5KIoHO/HGHyp5hY3NXFgLdRMWDqTKw1dv
LVYk2q18q53WZ2F4To584Qfs9MXdXURVGbnnutsLjKDs/dkxEv4jqQArBWYxoA2z
pTzuQyuLdiREzcJKzBQknbRJNYcMayEF8ywtQFiIYJ9QYSmqYAS/RGeJdP6LBpW/
2QPrHkuLXc0RfZlIuEs9Myu32rwRleZ+Xkxms92eIuJxf8Tu9IFp3HP9U+goWc/n
dWBgdDwXf95Q2myzQRUdnDq6auC52xJarF7heKEHvVA1kvVADzEAei/ErJz+Sbzu
RYfMjruOXDEZhTp9xutyqgV1946g+0L0P48kBBz++D5D8xi18hC5dd9lRlZJKVyV
f16z0KTR6rxTCZw1HcIMQbKRhuJMYlv6v2d7zyA47SrDtK2CgiGtwsHYCiLsjSE3
pGjHHjc2WRzNh1X/TNCdyKHLK6hkQD9KyUB65Wg2LPhYq1SIoO2JqXEbwJhvP417
U3OyZgvqIR+Kr24s/sAiumDuvdpstRQ/AlLklXdNx15iV7Y28O/fNHYtdbSFRdEo
ZWLPRcWDTC7bG2SeXVHX+7khb59L6yOyxMCYVuGkfkfl9yXf0cG9zOxN6pB+51/6
0H6a+RDj8z0xhOIxepkT
=a2iE
-----END PGP SIGNATURE-----

--D5BcReX08UjVFs9bOtisfSSk6SJanV1U3--


--===============5970614623016676657==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============5970614623016676657==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung